Bug 143396 - gdm failed to start X server after power failure
gdm failed to start X server after power failure
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 07:21 EST by Todor Todorov
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todor Todorov 2004-12-20 07:21:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
There has been a power failure today and my system went down. 
When I started it again GDM started, but probably failed to start the X server. I've got a black screen and not-responding system (even Num Lock keyboard LED doesn't work, nor Ctl-Alt-Backspace). Restarted again - the same, so I've booted with my rescue CD and changed to runlevel 3.
If I type 'startx' on the command line, X starts without problems, GNOME too, but when I type "gdm" - nothing.

Normally, when GDM starts there is a disk activity while the X server is loading. In my case, there is no such disk activity. Just black screen and stalled system. Checked Xorg.log - it isn't changed since the last reboot.

I've cleaned up all tmp directories, and it didn't help.


Version-Release number of selected component (if applicable):
gdm-2.6.0.5-6

How reproducible:
Always

Steps to Reproduce:
1. Turn off your computer from the button (without 'halt', 'reboot' or 'shutdown').
2. Turn it back on.

Actual Results:  I get only black screen. I need to restart again.

Expected Results:  GDM should start normally.

Additional info:

Matrox Millenium G400 AGP ("mga" driver)
Fedora Core 3 ('Desktop' install) with all the latest updates.
Comment 1 Matthew Miller 2006-07-10 18:45:02 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:41:30 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.